<?php
/**
 * $Id: spread.php 60 2014-07-09 11:54:26Z Szablac $
 * @Project		Saxum Picker Extension/Component
 * @author 		Laszlo Szabo
 * @package		Saxum Picker
 * @copyright	Copyright (C) 2010 Saxum 2003 Bt. All rights reserved.
 * @license 	http://www.gnu.org/licenses/old-licenses/gpl-3.0.html GNU/GPL version 3
*/

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();

jimport('joomla.application.component.model');

class SaxumpickerModelSpread extends JModelLegacy
{
	function _getItemQuery( &$options )
	{
		$query = 'SELECT e.title,e.text,e.image_pos,i.number,i.name,i.picture'
			. ' FROM #__saxumpicker_item i'
			. ' INNER join #__saxumpicker_type t on t.setid=i.setid '
			. ' 	and t.id='.$options['typeid']
			. ' left join #__saxumpicker_evaluation e on i.id=e.itemid and t.id=e.typeid'
			. ' 	AND (e.position='.$options['position'].' OR t.order_counts=0)'
			. ' 	AND e.published=1'
			. ' WHERE i.id='.$options['id']
			;
		return $query;
	}
	
	function getItem( $options=array() )
	{
		$query	= $this->_getItemQuery( $options );
		$this->_db->setQuery($query);
		$this->_data = $this->_db->loadObject();
		return $this->_data;
		//$result = $this->_getList( $query );
		//return @$result;
	}
	
	function _getTypeQuery( $id )
	{
		$query = ' SELECT t.*, s.back, s.selected'
			. ' FROM #__saxumpicker_type t inner join #__saxumpicker_set s on t.setid=s.id'
			. ' WHERE t.id='.$id
			;

		return $query;
	}

	function getType( $id )
	{
		$query	= $this->_getTypeQuery( $id );
		$result = $this->_getList( $query );
		return @$result;
	}
	
	function _getSpreadQuery( &$options )
	{
		$query = 'SELECT e.title,e.text,e.image_pos'
			. ' FROM #__saxumpicker_evaluation e '
			. ' WHERE e.typeid='.$options['typeid']
			. ' AND e.spread=\''.$options['spread'].'\''
			. ' AND e.published=1'
			;
		return $query;
	}
	
	function getSpreadEvaluation( $options=array() )
	{
		$query	= $this->_getSpreadQuery( $options );
		$this->_db->setQuery($query);
		$this->_data = $this->_db->loadObject();
		return $this->_data;
		//$result = $this->_getList( $query );
		//return @$result;
	}
	
	public function hit($typeid)
	{
		$db = $this->getDbo();

        $db->setQuery(
            'UPDATE #__saxumpicker_type' .
            ' SET hits = hits + 1' .
            ' WHERE id = '.(int) $typeid
        );

        if (!$db->query()) {
        	$this->setError($db->getErrorMsg());
        	return false;
        }
     
		return true;
	}
	
	function createContent ($type,$items,$spread,$params,$user,$post,$t)
	{
		$imagePath		= SaxumpickerHelper::getPathSet('');
		$path	= str_replace ( '../', JURI::root().'/', $imagePath['orig_rel_ds']);
		$imageperline=min($type->pieces,$params->get('max_image_per_line',1));
		$width=floor(100/$imageperline);
				
		$body='';
		
		if ($params->get('question',0)!=0){
		  	$body .= '<div style="clear:both;">';
			$body .= '<h2 class="contentheading">'.$post['question'].'</h2>';
			$body .= '</div>';
		}
		if ($type->evaluation==1){
		 	for ($i=0, $n=$type->pieces; $i < $n; $i++){ 
				$s=$items[$i];
				if ($s->text==null) $s->text=JText::_('COM_SAXUMPICKER_NO_EVALUATION');
				if ($t==0) $s->text=$type->freedesc;
				
				$body .= '<div style="float:left; width:'.$width.'%;" class="p7ehc-1">';
				if ($s->image_pos===0) {
					$body .= '<div style="padding:10px; vertical-align:top; float:left;">';
					$body .= '<h3>'.$s->title.'</h3>';
					if ($s->title!=$s->name) $body .= '<h4>'.$s->name.'</h4>';
					$body .= $s->text;
					$body .=  '</div>';
				}
				if ($s->image_pos==1) {
					$body .= '<div style="padding:10px;">';
					$body .= JHTML::_('image', $path.$s->picture, $i,'id="'.$i.'" style="float:left; margin:10px;"'); 
					$body .= '<h3>'.$s->title.'</h3>';
					if ($s->title!=$s->name) $body .= '<h4>'.$s->name.'</h4>';
					$body .= $s->text;
					$body .=  '</div>';
				}
				if ($s->image_pos==2 || $s->image_pos===null) {
					$body .= '<div style="padding:10px;">';
					$body .= JHTML::_('image', $path.$s->picture, $i,'id="'.$i.'" style="display:block; margin-left: auto; margin-right: auto;"'); 
					$body .= '<span style="display:block; text-align:center;">';
					$body .= '<h3>'.$s->title.'</h3>';
					if ($s->title!=$s->name) $body .= '<h4>'.$s->name.'</h4>';
					$body .= $s->text;
					$body .=  '</span>';
					$body .=  '</div>';
				}
				if ($s->image_pos==3) {
					$body .= '<div style="padding:10px;">';
					$body .= JHTML::_('image', $path.$s->picture, $i,'id="'.$i.'" style="float:right; margin:10px;"'); 
					$body .= '<h3>'.$s->title.'</h3>';
					$body .= '<h4>'.$s->name.'</h4>';
					$body .= $s->text;
					$body .= '</div>';
				}
				$body .= '</div>';
			}
		} elseif ($type->evaluation==0){ 
			$e=$spread;
			if ($e->text==null) $e->text=JText::_('COM_SAXUMPICKER_NO_EVALUATION');
			if ($t==0) $e->text=$type->freedesc;
		
			$body .= '<div style="clear:both;">';
			if ($e->image_pos===0) {
				$body .= '<div style="padding:10px; vertical-align:top; float:left;">';
				$body .= '<h3>'.$e->title.'</h3>';
				$body .= $e->text;
				$body .= '</div>';
			}
			if ($e->image_pos==1) {
				$body .= '<div style="padding:10px;">';
		 		for ($i=0, $n=$type->pieces; $i < $n; $i++){
					$body .= '<div style="float:left; width:'.$width.'%;" class="p7ehc-1">';
		 			$s=$items[$i];
					$body .= JHTML::_('image', $path.$s->picture, $i,'id="'.$i.'" style="float:left; margin:10px;"');	
					$body .= '</div>';  
		 		}
				$body .= '<h3>'.$e->title.'</h3>';
				$body .= $e->text;
				$body .= '</div>';
			}
			if ($e->image_pos==2 || $e->image_pos===null) {
				$body .= '<div style="padding:10px;">';
				for ($i=0, $n=$type->pieces; $i < $n; $i++){
					$body .= '<div style="float:left; width:'.$width.'%;" class="p7ehc-1">';
					$s=$items[$i];
					$body .= JHTML::_('image', $path.$s->picture, $i,'id="'.$i.'" style="display:block; margin-left: auto; margin-right: auto;"');	
					$body .= '</div>';  	
				}
			 	$body .= '<span style="clear:both; display:block; text-align:center;">';
				$body .= '<h3>'.$e->title.'</h3>';
				$body .= $e->text;
				$body .= '</span>';
				$body .= '</div>';
			}
			if ($e->image_pos==3) {
				$body .= '<div style="padding:10px;">';
			 	for ($i=0, $n=$type->pieces; $i < $n; $i++){
					$body .= '<div style="float:right; width:'.$width.'%;" class="p7ehc-1">';
		 			$s=$items[$i];
					$body .= JHTML::_('image', $path.$s->picture, $i,'id="'.$i.'" style="float:right; margin:10px;"');
					$body .= '</div>';  
			 	}
				$body .= '<h3>'.$e->title.'</h3>';
				$body .= $e->text;
				$body .= '</div>';
			}
			$body .= '</div>';
		}	
		
		$body=base64_encode($body);
		
		return $body;
						
	}
	
}