<?php
/**
 * $Id: view.html.php 117 2015-06-17 07:40:53Z Szablac $
 * @Project		Saxum Picker Extension/Component
 * @author 		Laszlo Szabo
 * @package		Saxum Picker
 * @copyright	Copyright (C) 2010 Saxum 2003 Bt. All rights reserved.
 * @license 	http://www.gnu.org/licenses/old-licenses/gpl-3.0.html GNU/GPL version 3
*/
defined('_JEXEC') or die();
jimport( 'joomla.application.component.view');
jimport('joomla.application.component.controller');

class SaxumpickerViewSpread extends JViewLegacy
{
	function display($tpl = null)
	{	
		$mainframe	= JFactory::getApplication();

		$user		= JFactory::getUser();
		$pathway	= $mainframe->getPathway();
		$document	= JFactory::getDocument();
		
		$rawDataPost = JRequest::get('POST', 2);
		$rawDataGet = JRequest::get('GET', 2);
		$post = array_merge($rawDataGet, $rawDataPost);
		if (!array_key_exists('question', $post)) $post['question']=' ';
		if ($post['question']==null)$post['question']=' ';
		 
		// Get the parameters of the active menu item
		$menus	= $mainframe->getMenu();
		$menu   = $menus->getActive();

		$pparams = $mainframe->getPageParameters('com_saxumpicker');

		// Push a model into the view
		$model		= $this->getModel();
		
		$Itemid = JRequest::getInt('Itemid',0);
		$typeId = $post['typeid'];
		//$typeId = JRequest::getVar("typeid");
		
		if (!$typeId) $mainframe->redirect($menu->link."&Itemid=".$menu->id);
		
		$type=$model->getType( $typeId );
	
		$allowed = 1;
		if ($type[0]->pmtype!='free') {
			$tpl='payment';
			$allowed=0;
		}
		
		for ($i=0, $n=$type[0]->pieces; $i < $n; $i++)
		{ 
			$j=$i+1;			
			$C[$j]=JRequest::getVar("C".$j);
			$options['id']	= $C[$j];
			$options['aid']	= $user->get('aid', 0);
			$options['typeid']	= $typeId;
			$options['position'] = $i+1;
			
			$item	= $model->getItem( $options );
			$items[$i]=$item;
			$s[$i]=$C[$j];
		}
		if($type[0]->order_counts==0){
			sort($items);
			sort($s);
		}
		$options['spread']=implode(',',$s);
		
		$spread = new stdClass;
		if($type[0]->evaluation==0){
			$spread=$model->getSpreadEvaluation($options);
		}
		if(!($spread)){
			$spread = new stdClass;
			$spread->text='';
			$spread->title='';
			$spread->image_pos=null;
		}
		
		JHTML::_('behavior.formvalidation');
		
		$check['l']	= SaxumpickerHelper::render();
		
		$body=array();
		$body[1]=$model->createContent($type[0],$items,$spread,$pparams,$user,$post,1);
		$body[0]=$model->createContent($type[0],$items,$spread,$pparams,$user,$post,0);
				
		$this->assignRef('Itemid',		$Itemid);
		$this->assignRef('items',		$items);
		$this->assignRef('spread',		$spread);
		$this->assignRef('params',		$pparams);	
		$this->assignRef('type',		$type[0]);
		$this->assignRef('typeid',		$typeId);
		$this->assignRef('check', 		$check);
		$this->assignRef('body', 	$body);
		$this->assignRef('allowed', 	$allowed);
		for ($i=1, $n=$type[0]->pieces; $i <= $n; $i++)
		{ 
			$this->assignRef('C'.$i, 	$C[$i]);
		}
		$this->assignRef('post', 	$post);
		
		if ($pparams->get('hitcounter')==1){
			$model->hit($typeId);
		}
		
		$this->_prepareDocument();
		parent::display($tpl);
	}	
		
	protected function _prepareDocument()
	{
		$app		= JFactory::getApplication();
		$menus		= $app->getMenu();
		$title 		= null;

		// Because the application sets a default page title,
		// we need to get it from the menu item itself
		$menu = $menus->getActive();
		if ($menu)
		{
			$this->params->def('page_heading', $this->params->get('page_title', $menu->title));
		} else {
			$this->params->def('page_heading', JText::_('JGLOBAL_ARTICLES'));
		}

		$title = $this->params->get('page_title', '');
		if (empty($title)) {
			$title = $app->getCfg('sitename');
		}
		elseif ($app->getCfg('sitename_pagetitles', 0) == 1) {
			$title = JText::sprintf('JPAGETITLE', $app->getCfg('sitename'), $title);
		}
		elseif ($app->getCfg('sitename_pagetitles', 0) == 2) {
			$title = JText::sprintf('JPAGETITLE', $title, $app->getCfg('sitename'));
		}
		$this->document->setTitle($title);

		if ($this->params->get('menu-meta_description'))
		{
			$this->document->setDescription($this->params->get('menu-meta_description'));
		}

		if ($this->params->get('menu-meta_keywords'))
		{
			$this->document->setMetadata('keywords', $this->params->get('menu-meta_keywords'));
		}

		if ($this->params->get('robots'))
		{
			$this->document->setMetadata('robots', $this->params->get('robots'));
		}
	}
	
}
?>